diff --git a/com.iatspayments.civicrm/CRM/Core/Payment/Faps.php b/com.iatspayments.civicrm/CRM/Core/Payment/Faps.php
index 5719b25b..2f007e57 100644
--- a/com.iatspayments.civicrm/CRM/Core/Payment/Faps.php
+++ b/com.iatspayments.civicrm/CRM/Core/Payment/Faps.php
@@ -268,6 +268,9 @@ class CRM_Core_Payment_Faps extends CRM_Core_Payment {
    */
   public function doPayment(&$params, $component = 'contribute') {
     // CRM_Core_Error::debug_var('doPayment params', $params);
+    if (empty($params['amount'])) {
+      return _iats_payment_status_complete();
+    }
 
     // Check for valid currency [todo: we have C$ support, but how do we check,
     // or should we?]
diff --git a/com.iatspayments.civicrm/CRM/Core/Payment/FapsACH.php b/com.iatspayments.civicrm/CRM/Core/Payment/FapsACH.php
index ebb1bec2..eca2127b 100644
--- a/com.iatspayments.civicrm/CRM/Core/Payment/FapsACH.php
+++ b/com.iatspayments.civicrm/CRM/Core/Payment/FapsACH.php
@@ -125,6 +125,9 @@ class CRM_Core_Payment_FapsACH extends CRM_Core_Payment_Faps {
    */
   public function doPayment(&$params, $component = 'contribute') {
     // CRM_Core_Error::debug_var('doPayment params', $params);
+    if (empty($params['amount'])) {
+      return _iats_payment_status_complete();
+    }
 
     // Check for valid currency
     $currency = $params['currencyID'];
diff --git a/com.iatspayments.civicrm/CRM/Core/Payment/iATSService.php b/com.iatspayments.civicrm/CRM/Core/Payment/iATSService.php
index d1948eba..164e5407 100644
--- a/com.iatspayments.civicrm/CRM/Core/Payment/iATSService.php
+++ b/com.iatspayments.civicrm/CRM/Core/Payment/iATSService.php
@@ -170,6 +170,9 @@ class CRM_Core_Payment_iATSService extends CRM_Core_Payment {
    */
   public function doPayment(&$params, $component = 'contribute') {
 
+    if (empty($params['amount'])) {
+      return _iats_payment_status_complete();
+    }
     if (!$this->_profile) {
       return self::error('Unexpected error, missing profile');
     }
diff --git a/com.iatspayments.civicrm/CRM/Core/Payment/iATSServiceACHEFT.php b/com.iatspayments.civicrm/CRM/Core/Payment/iATSServiceACHEFT.php
index 5332d44c..ee7d9218 100644
--- a/com.iatspayments.civicrm/CRM/Core/Payment/iATSServiceACHEFT.php
+++ b/com.iatspayments.civicrm/CRM/Core/Payment/iATSServiceACHEFT.php
@@ -203,6 +203,9 @@ class CRM_Core_Payment_iATSServiceACHEFT extends CRM_Core_Payment_iATSService {
    */
   public function doPayment(&$params, $component = 'contribute') {
 
+    if (empty($params['amount'])) {
+      return _iats_payment_status_complete();
+    }
     if (!$this->_profile) {
       return self::error('Unexpected error, missing profile');
     }
diff --git a/com.iatspayments.civicrm/iats.php b/com.iatspayments.civicrm/iats.php
index 8f253aa1..440fa800 100644
--- a/com.iatspayments.civicrm/iats.php
+++ b/com.iatspayments.civicrm/iats.php
@@ -819,3 +819,10 @@ function iats_civicrm_buildForm_CRM_Contribute_Form_UpdateBilling(&$form) {
     $form->addElement('hidden', 'crid', $crid);
   }
 }
+
+function _iats_payment_status_complete() {
+  return [
+    'payment_status_id' => CRM_Core_PseudoConstant::getKey('CRM_Contribute_BAO_Contribution', 'contribution_status_id', 'Completed'),
+    'payment_status' => 'Completed',
+  ];
+}
